# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/distributions/distributions/plugin/conda-recipe, last modified Tue Jan 27 14:25:15 2026
# ------------------------------------------------

package:
  name: q2-dada2
  version: 2026.1.0
source:
  path: /Users/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: py310hcd602c8_0
requirements:
  build:
    - bzip2 1.0.8 h500dc9f_8
    - ca-certificates 2026.1.4 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - libexpat 2.7.3 heffb93a_0
    - libffi 3.5.2 hd1f9c09_0
    - liblzma 5.8.2 h11316ed_0
    - libsqlite 3.51.2 hb99441e_0
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.6.0 h230baf5_0
    - packaging 26.0 pyhcf101f3_0
    - pip 25.3 pyh8b19718_0
    - python 3.10.19 h988dfef_3_cpython
    - readline 8.3 h68b038d_0
    - setuptools 80.10.1 pyh332efcf_0
    - tk 8.6.13 h7142dee_3
    - tomli 2.4.0 pyhcf101f3_0
    - tzdata 2025c hc9c84f9_1
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.46.3 pyhd8ed1ab_0
    - zipp 3.23.0 pyhcf101f3_1
  host:
    - bzip2 1.0.8 h500dc9f_8
    - ca-certificates 2026.1.4 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - libexpat 2.7.3 heffb93a_0
    - libffi 3.5.2 hd1f9c09_0
    - liblzma 5.8.2 h11316ed_0
    - libsqlite 3.51.2 hb99441e_0
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.6.0 h230baf5_0
    - packaging 26.0 pyhcf101f3_0
    - pip 25.3 pyh8b19718_0
    - python 3.10.19 h988dfef_3_cpython
    - readline 8.3 h68b038d_0
    - setuptools 80.10.1 pyh332efcf_0
    - tk 8.6.13 h7142dee_3
    - tomli 2.4.0 pyhcf101f3_0
    - tzdata 2025c hc9c84f9_1
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.46.3 pyhd8ed1ab_0
    - zipp 3.23.0 pyhcf101f3_1
  run:
    - bioconductor-dada2
    - biom-format 2.1.16.*
    - matplotlib 3.8.4.*
    - openjdk
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - q2-types >=2026.1.0
    - q2templates >=2026.1.0
    - qiime2 >=2026.1.0
    - r-base 4.3.3.*
    - r-optparse 1.7.5.*
    - seaborn 0.12.2.*
test:
  commands:
    - py.test --pyargs q2_dada2
  imports:
    - q2_dada2
    - qiime2.plugins.dada2
  requires:
    - pytest
    - q2-types >=2026.1.0
    - qiime2 >=2026.1.0
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
